## net.sf.saxon.regex
Class SurrogateRegexTranslator.BackReference

    java.lang.Object
      net.sf.saxon.regex.SurrogateRegexTranslator.BackReference

Enclosing class:
  SurrogateRegexTranslator

    public static class SurrogateRegexTranslator.BackReference

extends Object

Character class representing a back-reference.

Constructor Summary
`SurrogateRegexTranslator.BackReference(int i)`

Method Summary
`void` `outputBmp(FastStringBuffer buf)` Output a representation of the subset of this character class that's within the BMP, to a supplied buffer
`void` `outputComplementBmp(FastStringBuffer buf)` Output a representation of the complement of the subset of this character class that's within the BMP, to a supplied buffer

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SurrogateRegexTranslator.BackReference

    public SurrogateRegexTranslator.BackReference(int i)

Method Detail

### outputBmp

    public void outputBmp(FastStringBuffer buf)

  Output a representation of the subset of this character class that's within the BMP, to a supplied buffer

  Parameters:
    `buf` - the supplied buffer

### outputComplementBmp

    public void outputComplementBmp(FastStringBuffer buf)

  Output a representation of the complement of the subset of this character class that's within the BMP, to a supplied buffer

  Parameters:
    `buf` - the supplied buffer

Copyright (C) Michael H. Kay. All rights reserved.